SUM(1)

NAME
sum - checksum and count the blocks in a file

SYNOPSIS
sum [-rs] [--sysv] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of sum. sum computes a 16-bit checksum for each named file, or the standard input if none are given or when a file named `-' is given. It prints the checksum for each file along with the number of blocks in the file (rounded up). By default each corresponding file name is also printed if at least two arguments are specified. With the --sysv option, corresponding file name are printed when there is at least one file argument. By default, the GNU sum computes checksums using an algorithm that is compatible with the BSD sum and prints file sizes in units of 1K blocks.

  OPTIONS

-r  Use the default (BSD compatible) algorithm. This option is included for compatibility with the System V sum. Unless the -s option was also given, it has no effect.

-s, --sysv
    Compute checksums using an algorithm that is compatible with the one the System V sum uses by default and print file sizes in units of 512-byte blocks instead of 1K.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.